aboutsummaryrefslogtreecommitdiffstats
path: root/services/nginx/fs/sbin/cmd.bash
diff options
context:
space:
mode:
authorThomas Vanbesien <tvanbesi@proton.me>2026-06-03 17:12:58 +0200
committerThomas Vanbesien <tvanbesi@proton.me>2026-06-03 17:48:25 +0200
commitba3a7bc94421f93818f9196bd8a2c32eb7d9d940 (patch)
tree952392f7cce20e3848caefbf98ec8316894cc1ca /services/nginx/fs/sbin/cmd.bash
parent9d6c353c5ef82f862ad06ef84b13e65567997201 (diff)
downloadnet_services-ba3a7bc94421f93818f9196bd8a2c32eb7d9d940.tar.gz
net_services-ba3a7bc94421f93818f9196bd8a2c32eb7d9d940.zip
feat: better initialization script
Rename `tools/build` → `net_services` `net_services` can be run from anywhere (previously it was not creating the fs archives in the right place). It also creates the directories specified in `.env`, generate a self-signed certificate if no certificate is available, initialize the first Radicale user if missing, and copy example configuration files if missing for cgit. `generate_self_signed_cert` has been removed (its code is in `net_services`)
Diffstat (limited to 'services/nginx/fs/sbin/cmd.bash')
-rwxr-xr-xservices/nginx/fs/sbin/cmd.bash11
1 files changed, 11 insertions, 0 deletions
diff --git a/services/nginx/fs/sbin/cmd.bash b/services/nginx/fs/sbin/cmd.bash
new file mode 100755
index 0000000..e024b4f
--- /dev/null
+++ b/services/nginx/fs/sbin/cmd.bash
@@ -0,0 +1,11 @@
+#!/usr/bin/bash
+set -eu
+
+# Install sensitive data in tmpfs
+install --mode 400 /run/host_secrets/server.crt /run/secrets/server.crt
+install --mode 400 /run/host_secrets/server.key /run/secrets/server.key
+
+# We have to run the entrypoint again
+# Because if the first positional parameter is not "nginx" or "nginx-debug" the scripts in /docker-entrypoint.d are not ran.
+# https://github.com/nginx/docker-nginx/blob/master/stable/debian/docker-entrypoint.sh
+exec /docker-entrypoint.sh nginx -g "daemon off;"